JAXMException (Message Queue, 5.1 API Specification)
Date: 2019-01-27

javax.xml.messaging

## Class JAXMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.soap.SOAPException
      - - javax.xml.messaging.JAXMException

- All Implemented Interfaces:
    java.io.Serializable

      public class JAXMException
      extends javax.xml.soap.SOAPException

  An exception that signals that a JAXM exception has occurred. A `JAXMException` object may contain a `String` that gives the reason for the exception, an embedded `Throwable` object, or both. This class provides methods for retrieving reason messages and for retrieving the embedded `Throwable` object.

  Typical reasons for throwing a `JAXMException` object are problems such as not being able to send a message and not being able to get a connection with the provider. Reasons for embedding a `Throwable` object include problems such as an input/output errors or a parsing problem, such as an error parsing a header.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAXMException()` Constructs a `JAXMException` object with no reason or embedded `Throwable` object.
    `JAXMException(java.lang.String reason)` Constructs a `JAXMException` object with the given `String` as the reason for the exception being thrown.
    `JAXMException(java.lang.String reason, java.lang.Throwable cause)` Constructs a `JAXMException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded exception.
    `JAXMException(java.lang.Throwable cause)` Constructs a `JAXMException` object initialized with the given `Throwable` object.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.soap.SOAPException

      `getCause, getMessage, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JAXMException

          public JAXMException()

      Constructs a `JAXMException` object with no reason or embedded `Throwable` object.

    - #### JAXMException

          public JAXMException(java.lang.String reason)

      Constructs a `JAXMException` object with the given `String` as the reason for the exception being thrown.
      Parameters:
        `reason` - a `String` giving a description of what caused this exception

    - #### JAXMException

          public JAXMException(java.lang.String reason,
                               java.lang.Throwable cause)

      Constructs a `JAXMException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded exception.
      Parameters:
        `reason` - a `String` giving a description of what caused this exception
        `cause` - a `Throwable` object that is to be embedded in this `JAXMException` object

    - #### JAXMException

          public JAXMException(java.lang.Throwable cause)

      Constructs a `JAXMException` object initialized with the given `Throwable` object.
      Parameters:
        `cause` - a `Throwable` object that is to be embedded in this `JAXMException` object

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.